[Buildroot] [PATCH v3] radvd: improve startup script

Thomas Petazzoni thomas.petazzoni at bootlin.com
Wed Apr 25 21:25:12 UTC 2018


Hello,

On Sun, 15 Apr 2018 23:10:37 -0300, Carlos Santos wrote:

> -RADVD=/usr/sbin/radvd
> +test -f /etc/radvd.conf || exit 0

I'm still not impressed by silent exit cases. Shouldn't we let radvd
fail to start and complain about the lack of radvd.conf ?

> +start() {
> +	printf "Starting radvd: "
> +	echo "1" > /proc/sys/net/ipv6/conf/all/forwarding
> +	start-stop-daemon -S -x /usr/sbin/radvd || {
> +		echo "FAIL"
> +		exit 1
> +	}

Can we use the

	[ $? = 0 ] && echo "OK" || echo "FAIL"

syntax that we use in almost all other init scripts ?

> +	echo "OK"
> +}
> +
> +stop() {
> +	printf "Stopping radvd: "
> +	start-stop-daemon -K -q -x /usr/sbin/radvd || {
> +		echo "FAIL"
> +		exit 1
> +	}

Ditto here.

Also, can we use a pid file managed by start-stop-daemon, like
S50dropbear is doing (and many other init scripts) ?

Thanks!

Thomas
-- 
Thomas Petazzoni, CTO, Bootlin (formerly Free Electrons)
Embedded Linux and Kernel engineering
https://bootlin.com



More information about the buildroot mailing list